Debians sikkerhedsbulletin

DSA-2447-1 tiff -- heltalsoverløb

Rapporteret den:
4. apr 2012
Berørte pakker:
tiff
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2012-1173.
Yderligere oplysninger:

Alexander Gavrun opdagede et heltalsoverløb i TIFF-biblioteket i fortolkningen af TileSize-post, hvilket kunne medføre udførelse af vilkårlig kode hvis et misdannet billede blev åbnet.

I den stabile distribution (squeeze), er dette problem rettet i version 3.9.4-5+squeeze4.

I den ustabile distribution (sid), vil dette problem snart blive rettet.

Vi anbefaler at du opgraderer dine tiff-pakker.